-- 帮派联赛
Lua_FactionLeagueActWindow = class("Lua_FactionLeagueActWindow", Lua_SecondSizeWindow);
function Lua_FactionLeagueActWindow:ctor()
	self:superCall("ctor");

	self.isModel = true;
	self.titleText = LanUtil.getValue(123900);
	self.windowName = "Lua_FactionLeagueActWindow";
	self.skinName = "FactionLeagueActWindow_skin";
end
	
function Lua_FactionLeagueActWindow:buildShowItem()
	self:superCall("buildShowItem");

    self.descTxt.text = LanUtil.getValue(123901);
    self.helpImg:addClickFuntion(self, self.onHelpImgClick);
    self.palaceBtn.label = LanUtil.getValue(123906);
    self.palaceBtn:addClickFuntion(self, self.onPalaceBtnClick);
    self.progressBtn.label = LanUtil.getValue(123907);
    self.progressBtn:addClickFuntion(self, self.onProgressBtnClick);
    self.enterBtn.label = LanUtil.getValue(123908);
    self.enterBtn:addClickFuntion(self, self.onEnterBtnClick);

    self.firstRoundTxt.text = LanUtil.formateStr(LanUtil.getValue(123904), DataCenter.factionLeagueActUtil:getActRoundTime(1));
    self.secondRoundTxt.text = LanUtil.formateStr(LanUtil.getValue(123905), DataCenter.factionLeagueActUtil:getActRoundTime(2));

	self.palaceBtn:setScale(0.8,0.8);
	self.progressBtn:setScale(0.8,0.8);
	self.enterBtn:setScale(0.8,0.8);

	self.infoBg:setLocation(0,-4)
	self.infoBg:SetDimensions(912,656);
	self.winTitleBg:setLocation(0,306)
	self.winTitleBg:SetDimensions(912,78)
	self.titleNameTxt:setLocation(0,306)
	self.btnClose:setLocation(418,306)

    self:onUpdatePanelInfo();
	self:addLuaEvent("rFactionLeagueActPanelInfo", self, self.onUpdatePanelInfo);
    Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sFactionLeagueActPanelInfo();
end

function Lua_FactionLeagueActWindow:onHelpImgClick(go)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(123909));
end

function Lua_FactionLeagueActWindow:onPalaceBtnClick(go)
	-- 英雄殿
	Lua_WindowUtil.openWin("Lua_WorshipPalaceWindow", WinParam.ACTION_OPEN, nil);
    Lua_WindowUtil.openWin("Lua_FactionLeagueActWindow", WinParam.ACTION_CLOSE, nil);
end

function Lua_FactionLeagueActWindow:onProgressBtnClick(go)
	-- 赛况
	Lua_WindowUtil.openWin("Lua_FactionLeagueActProgressWindow", WinParam.ACTION_AUTO, nil);
end

function Lua_FactionLeagueActWindow:onEnterBtnClick(go)
	-- 进入战斗
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sEnterFactionLeagueAct();
end

function Lua_FactionLeagueActWindow:onUpdatePanelInfo()
	self:updateActTime();
	self.tipsTxt.text = LanUtil.getValue(123972);
	if DataCenter.factionLeagueActData.state == 1 then
		self.rank1Spr:SetActive(true);
		self.rank2Spr:SetActive(true);
		self.rank3Spr:SetActive(true);
		self.rank4Spr:SetActive(true);
		self.rank5Spr:SetActive(true);
		self.showSpr:SetActive(false);

		local info = DataCenter.factionLeagueActData.groupInfo;
		if info ~= nil then
			for i = 1, 5 do
				self:updateGroupInfo(i, info[i]);
			end
		else
			for i = 1, 5 do
				self:updateGroupInfo(i, nil);
			end
		end
	else
		self.rank1Spr:SetActive(false);
		self.rank2Spr:SetActive(false);
		self.rank3Spr:SetActive(false);
		self.rank4Spr:SetActive(false);
		self.rank5Spr:SetActive(false);
		self.showSpr:SetActive(true);
	end
end

-- 更新时间
function Lua_FactionLeagueActWindow:updateActTime()
	local str = DataCenter.factionLeagueActData.actStartWDayStr;
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(123903), str);
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(123902), str);

	if DataCenter.factionLeagueActData.openDay >  DataCenter.factionLeagueActUtil.actOpenDay then -- 不是第一次
		self.descTxt.text = LanUtil.getValue(123901);
		--self.tipsTxt:setEnable(false);
	else -- 第一次
		--self.tipsTxt:setEnable(true);
		self.descTxt.text = LanUtil.getValue(123932);
	end
end

-- 更新对应组信息
function Lua_FactionLeagueActWindow:updateGroupInfo(groupId, list)
	if list ~= nil then
		for i = 1, 4 do
			local obj = list[i];
			if obj == nil or obj == "" then
				self["rankName"..groupId.."_"..i].text = LanUtil.getValue(123910);
			else
				self["rankName"..groupId.."_"..i].text = obj;
			end
		end
	else
		for i = 1, 4 do
			self["rankName"..groupId.."_"..i].text = LanUtil.getValue(123910);
		end
	end
end

function Lua_FactionLeagueActWindow:dispose()

	self:superCall("dispose");
end