-- 小组赛况
Lua_FactionLeagueActProgressWindow = class("Lua_FactionLeagueActProgressWindow", Lua_SecondSizeWindow);
function Lua_FactionLeagueActProgressWindow:ctor()
	self:superCall("ctor");

	self.isModel = true;
	self.titleText = LanUtil.getValue(123915);
	self.windowName = "Lua_FactionLeagueActProgressWindow";
	self.skinName = "FactionLeagueActProgressWindow_skin";
end
	
function Lua_FactionLeagueActProgressWindow:buildShowItem()
	self:superCall("buildShowItem");
	self:addLuaEvent("rLookFactionLeagueActProgress", self, self.onUpdateGroupInfoByIdx);

    self.firstTitleTxt.text = LanUtil.formateStr(LanUtil.getValue(123904), DataCenter.factionLeagueActUtil:getActRoundTime(1));
    self.secondTitleTxt.text = LanUtil.formateStr(LanUtil.getValue(123905), DataCenter.factionLeagueActUtil:getActRoundTime(2));

    self.groupItem1 = Lua_FactionLeagueActChallengeItem.new(self.firstRoundSpr);
    self.groupItem1:setLocation(0, 80, 0);
    self.groupItem1:setDepth(4);
    self.groupItem2 = Lua_FactionLeagueActChallengeItem.new(self.firstRoundSpr);
    self.groupItem2:setLocation(0, -100, 0);
    self.groupItem2:setDepth(4);
    self.groupItem3 = Lua_FactionLeagueActChallengeItem.new(self.secondRoundSpr);
    self.groupItem3:setLocation(0, 80, 0);
    self.groupItem3:setDepth(4);
    self.groupItem4 = Lua_FactionLeagueActChallengeItem.new(self.secondRoundSpr);
    self.groupItem4:setLocation(0, -100, 0);
    self.groupItem4:setDepth(4);

	local str = LanUtil.getValue(123916);
	if str ~= nil and str ~= "123916" then
		local arr = str:split("|");
		self.btnList = Lua_ButtonList.new(self.content, arr, 147, self, self.onBtnClick,
			"ui_common_btn_c2", "ui_common_btn_c1", Vector4(0, 0, 133, 59), Vector4(0, 0, 133, 59),
			Lua_ColorDefine.transColor("D2D8DC"), Lua_ColorDefine.transColor("FFFFFF"), Vector4(28, 28, 116, 50), 2, "common_atlas_1",
				Vector3(-0.5, 0.5, 0),Vector3(-4, 3, 0));
		self.btnList:setDepth(2); 
		self.btnList:setLocation(-359.5, 222.5, 0);
		self.btnList:setSelected(1, false);
		self:setSelected(1);
	end

	self.infoBg:setLocation(0,-4)
	self.infoBg:SetDimensions(912,656);
	self.winTitleBg:setLocation(0,306)
	self.winTitleBg:SetDimensions(912,78)
	self.titleNameTxt:setLocation(0,306)
	self.btnClose:setLocation(418,306)

end

function Lua_FactionLeagueActProgressWindow:onBtnClick(val, bb)
	self:setSelected(val);
end

function Lua_FactionLeagueActProgressWindow:setSelected(val)
	if self.selectIdx ~= nil and self.selectIdx == val then
		return;
	end
	self.selectIdx = val;
	self:onUpdateGroupInfoByIdx(val); 
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sLookFactionLeagueActProgress(val);
end

function Lua_FactionLeagueActProgressWindow:onUpdateGroupInfoByIdx(idx)
	if self.selectIdx == nil or idx ~= self.selectIdx then
		return;
	end

	local obj = DataCenter.factionLeagueActData.actProgressInfo[idx];
	if obj ~= nil then
		local list = obj.league_list;
		for i = 1, 4 do
			if list ~= nil then
				self["groupItem"..i]:setData(list[i], i, idx);
			else
				self["groupItem"..i]:setData(nil, i, idx);
			end
		end
	else
		for i = 1, 4 do
			self["groupItem"..i]:setData(nil, i, idx);
		end
	end
end

function Lua_FactionLeagueActProgressWindow:dispose()

	self:superCall("dispose");
end










-- 每个挑战组
Lua_FactionLeagueActChallengeItem = class("Lua_FactionLeagueActChallengeItem", Lua_DisplayObject);
function Lua_FactionLeagueActChallengeItem:ctor(p)
	self:superCall("ctor", p, "FactionLeagueActChallengeItem_skin");

end

function Lua_FactionLeagueActChallengeItem:buildShowItem()
	self:superCall("buildShowItem");
	self.content.name = "Lua_FactionLeagueActChallengeItem";
	self.lightLine:setEnable(false);
end

function Lua_FactionLeagueActChallengeItem:setData(obj, sort, idx)
	self.data = obj;
	if sort > 2 then
		if sort > 3 then
			self.groupName.text = LanUtil.getValue(123921);
			self.winTxt.text =  LanUtil.getValue(123919);
		else
			self.groupName.text = LanUtil.getValue(123920);
			self.winTxt.text =  LanUtil.getValue(123918);
		end
	else
		self.groupName.text = "";
		self.winTxt.text = LanUtil.getValue(123917);
	end

	self.lightLine:setEnable(false);
	if obj ~= nil then
		if obj.first == nil or obj.first == "" then
			self.roleName1.text = LanUtil.getValue(123943);
			self.roleName1.effectColorStr = Lua_ColorDefine.transColor("212121");
			self.roleNameBg1:setGray(true);
		else
			if obj.win == nil or obj.win == "" or obj.win == obj.first then
				self.roleName1.text = "[FFB319]"..obj.first.."[-]";
				self.roleNameBg1:setGray(false);
			else
				self.roleName1.text = "[A9A9A9]"..obj.first.."[-]";
				--self.roleName1.text = "[A9A9A9]"..obj.first.."[-]";
				self.roleName1.effectColorStr = Lua_ColorDefine.transColor("212121");
				self.roleNameBg1:setGray(true);
			end
		end

		if obj.second == nil or obj.second == "" then
			self.roleName2.text = LanUtil.getValue(123943);
			self.roleName2.effectColorStr = Lua_ColorDefine.transColor("212121");
			self.roleNameBg2:setGray(true);
		else
			if obj.win == nil or obj.win == "" or obj.win == obj.second then
				self.roleName2.text = "[FFB319]"..obj.second.."[-]";
				self.roleNameBg2:setGray(false);
			else
				self.roleName2.text = "[A9A9A9]"..obj.second.."[-]";
				self.roleName2.effectColorStr = Lua_ColorDefine.transColor("212121");
				self.roleNameBg2:setGray(true);
			end
		end

		if obj.win == nil or obj.win == "" then
			self.roleName3.text = LanUtil.getValue(123942);
			self.roleName3.effectColorStr = Lua_ColorDefine.transColor("212121");
			self.roleNameBg3:setGray(true);
		else
			self.roleName3.text = "[FFB319]"..obj.win.."[-]";
			self.roleNameBg3:setGray(false);
			if obj.win == obj.first then
				self.lightLine:setEnable(true);
				self.lightLine:setScale(1, 1, 1);
				self.lightLine:setLocation(0, 31.5, 0);
			elseif obj.win == obj.second then
				self.lightLine:setEnable(true);
				self.lightLine:setScale(1, -1, 1);
				self.lightLine:setLocation(0, -9.5, 0);
			end
		end

		if obj.state == 1 then -- 0表示未开始，1表示正在进行，2表示已结束
			
		else
			
		end
	else
		self.roleName1.text = LanUtil.getValue(123943);
		self.roleName2.text = LanUtil.getValue(123943);
		self.roleName3.text = LanUtil.getValue(123942);
		self.roleNameBg1:setGray(true);
		self.roleName1.effectColorStr = Lua_ColorDefine.transColor("212121");
		self.roleNameBg2:setGray(true);
		self.roleName2.effectColorStr = Lua_ColorDefine.transColor("212121");
		self.roleNameBg3:setGray(true);
		self.roleName3.effectColorStr = Lua_ColorDefine.transColor("212121");
	end
end

function Lua_FactionLeagueActChallengeItem:setDepth(val)
	self:superCall("setDepth", val);
	self.depth = val;
	self.grayLine.depth = val;
	self.lightLine.depth = val + 1;
	self.roleNameBg1.depth = val + 2;
	self.roleNameBg2.depth = val + 2;
	self.roleNameBg3.depth = val + 2;
	self.roleName1.depth = val + 3;
	self.roleName2.depth = val + 3;
	self.roleName3.depth = val + 3;
	self.groupName.depth = val + 3;
	self.winTxt.depth = val + 3;
end

function Lua_FactionLeagueActChallengeItem:dispose()

	self:superCall("dispose");
end