-- 帮派联赛左侧信息栏面板
Lua_FactionLeagueActLeftInfoPanel = class("Lua_FactionLeagueActLeftInfoPanel", Lua_DisplayObject);
function Lua_FactionLeagueActLeftInfoPanel:ctor(p)
	self:superCall("ctor", p, "FactionLeagueActLeftInfoPanel_skin");
end

function Lua_FactionLeagueActLeftInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self._showState = true;
	self.descTxt.text = LanUtil.getValue(123946);

	self:updatePanelInfo();

	self.titleBg.clickScale = false;
	self.bg.clickScale = false;
	self.timeBg.clickScale = false;
	self.titleBg:addClickFuntion(self, self.onBgClick);
	self.bg:addClickFuntion(self, self.onBgClick);
	self.timeBg:addClickFuntion(self, self.onBgClick);
	self.closeBtn:addClickFuntion(self, self.onArrowBtnClick);
	self.rankBtn:addClickFuntion(self, self.onRankBtnClick);
	self.ruleIcon:addClickFuntion(self, self.onRuleClick);
end

-- 更新信息
function Lua_FactionLeagueActLeftInfoPanel:updatePanelInfo()
	self.rankTxt.text = LanUtil.formateStr(LanUtil.getValue(123945), tostring(DataCenter.factionLeagueActData.self_rank));  
	self.jifenTxt.text = LanUtil.formateStr(LanUtil.getValue(123944), tostring(DataCenter.factionLeagueActData.self_score));
	local num = DataCenter.factionLeagueActData.fightCountDown;
	if num > 0 then
		self:clearTimer();
		num = DataCenter.factionLeagueActData.fightLeftTime - num;
	else
		num = DataCenter.factionLeagueActData.fightLeftTime;
	end	
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(123947), TimeTransform.getInstance():transSeconds1(num, true));  
end

function Lua_FactionLeagueActLeftInfoPanel:onBgClick(go)
end

function Lua_FactionLeagueActLeftInfoPanel:onArrowBtnClick(go)
	if self.clickTime ~= nil and getTime() - self.clickTime < 0.3 then
		OperateAlert.show(LanUtil.getValue(121419));
		return;
	end
	self.clickTime = getTime();

	self:setShowState(not self._showState);
end

function Lua_FactionLeagueActLeftInfoPanel:setShowState(val)
	self._showState = val;
	if val then
		self.closeIcon:setSacle(0.8, 0.8);
		self.closeBtn:setLocation(-386.5, 135, 0);
		self.closeIcon:setLocation(-388, 139, 0);
		self.rankBtn:setLocation(-345, 137, 0);
		TweenUtil.getInstance():addTween(self.content, 0.5, 0, Vector3(0, -2, 0), nil, nil);
	else
		self.closeBtn:setLocation(-386.5 + self.closeBtn.width + 13, 135, 0);
		self.closeIcon:setLocation(-388 - 1.5 + self.closeBtn.width + 13, 139, 0);
		self.closeIcon:setSacle(-0.8, 0.8);
		self.rankBtn:setLocation(-395, 137, 0);
		TweenUtil.getInstance():addTween(self.content, 0.5, 0, Vector3(-269, -2, 0), nil, nil);
	end
end

function Lua_FactionLeagueActLeftInfoPanel:onRankBtnClick(go)
	Lua_WindowUtil.openWin("Lua_FactionLeagueActRankWindow", WinParam.ACTION_OPEN, nil);
end

function Lua_FactionLeagueActLeftInfoPanel:onRuleClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(123967));
end

-- 开始计时
function Lua_FactionLeagueActLeftInfoPanel:startFightingTime()
	num = DataCenter.factionLeagueActData.fightLeftTime;
	if num > 0 then
		if self.bRegisterTimer ~= true then
			self.bRegisterTimer = true;
			Lua_CommonUtil.addTimer("Lua_FactionLeagueActLeftInfoPanel", 1, self, self.updateFactionLeagueActFightTime);
		end
	end
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(123947), TimeTransform.getInstance():transSeconds1(num, true));
end

function Lua_FactionLeagueActLeftInfoPanel:updateFactionLeagueActFightTime()
	local num = DataCenter.factionLeagueActData.fightLeftTime;
	if num <= 0 then
		num = 0;
		self:clearTimer();
	end
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(123947), TimeTransform.getInstance():transSeconds1(num, true)); 
end

function Lua_FactionLeagueActLeftInfoPanel:clearTimer()
	if self.bRegisterTimer == true then
		self.bRegisterTimer = false;
		Lua_CommonUtil.removeTimer(self, self.updateFactionLeagueActFightTime);
	end
end

function Lua_FactionLeagueActLeftInfoPanel:dispose()
	self:clearTimer();
	TweenUtil.getInstance():stop(self.content);

    self:superCall("dispose");
end