-- 帮派联赛积分排行
Lua_FactionLeagueActRankWindow = class("Lua_FactionLeagueActRankWindow", Lua_ThirdSizeWindow)
function Lua_FactionLeagueActRankWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(123931));

	self.windowName = "Lua_FactionLeagueActRankWindow";
	self.skinName = "FactionLeagueActRankWindow_skin";
	self.w = 916;
	self.h = 574;
end

function Lua_FactionLeagueActRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rankList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 360));
	self.rankList:setLocation(0, -24, 0);
	self.rankList:setListCell(Lua_FactionLeagueActRankItem, 72, 878, 1);

	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sFactionLeagueActRankInfo(); 
	self:addLuaEvent("rFactionLeagueActRankInfo", self, self.onUpdateRankInfo);
end

function Lua_FactionLeagueActRankWindow:onUpdateRankInfo(msg)
	if msg == nil then
		return;
	end

	local list = msg.rank;
	if list == nil then
		return;
	end

	local owner;
	local arr = Array();
	for i = 1, #list do
		if owner == nil and tostring(DataCenter.roleData.roleId) == tostring(list[i].role_id) then
			owner = list[i];
		end
		arr:add(list[i]);
	end
	self.rankList:setLuaArrayData(arr, false);

	if owner ~= nil then
		if owner.rank_index > 3 then
			self.myRankIcon:setEnable(false);
			self.myRankTxt.text = owner.rank_index;
		elseif owner.rank_index <= 0 then
			self.myRankIcon:setEnable(false);
			self.myRankTxt.text = "--";
		else
			self.myRankIcon:setEnable(true);
			self.myRankIcon:setAltas("leaderBoard_atlas", DataCenter.answerUtil.rankBeforeThreeUrl[owner.rank_index]);
			self.myRankTxt.text = "";
		end

		self.myNameTxt.text = DataCenter.roleData.name;
		self.myLvTxt.text = DataCenter.roleData.level;
		self.myFactionName.text = DataCenter.roleData.leagueName;
		self.myKillNum.text = owner.role_force;
		self.myJifenTxt.text = owner.fight_score;
	else
		self.myRankIcon:setEnable(false);
		self.myRankTxt.text = "--";
		self.myNameTxt.text = DataCenter.roleData.name;
		self.myLvTxt.text = DataCenter.roleData.level;
		self.myFactionName.text = DataCenter.roleData.leagueName;
		self.myKillNum.text = "0";
		self.myJifenTxt.text = "0";
	end
end

function Lua_FactionLeagueActRankWindow:dispose()
	if self.rankList ~= nil then
		self.rankList:dispose()
		self.rankList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_FactionLeagueActRankItem = class("Lua_FactionLeagueActRankItem", Lua_ListCell);
function Lua_FactionLeagueActRankItem:ctor(p)
	self:superCall("ctor", p, "FactionLeagueActRankItem_skin");
end

function Lua_FactionLeagueActRankItem:setData(data)
	self.data = data;

	if data.rank_index > 3 then
		self.rankIcon:setEnable(false);
		self.rankTxt.text = data.rank_index;
	elseif data.rank_index <= 0 then
		self.rankIcon:setEnable(false);
		self.rankTxt.text = "--";
	else
		self.rankIcon:setEnable(true);
		self.rankIcon:setAltas("leaderBoard_atlas", DataCenter.answerUtil.rankBeforeThreeUrl[data.rank_index]);
		self.rankTxt.text = "";
	end

	self.nameTxt.text = data.role_name;
	self.lvTxt.text = data.level;
	self.factionName.text = data.league_name;
	self.killNum.text = data.role_force;
	self.jifenTxt.text = data.fight_score;

	self.enemyBg:setEnable(data.league_name ~= DataCenter.roleData.leagueName);
	self.friendBg:setEnable(data.league_name == DataCenter.roleData.leagueName);
end