-- 帮派联赛战斗界面
checkRequire("Lua_FactionLeagueActLeftInfoPanel");
checkRequire("Lua_FactionLeagueActFightInfoPanel");
Lua_FactionLeagueFightingWindow = class("Lua_FactionLeagueFightingWindow", Lua_FullSizeWindow);
function Lua_FactionLeagueFightingWindow:ctor()
	self:superCall("ctor", false, false, 500, false, false, false);
	self.windowName = "Lua_FactionLeagueFightingWindow";
end

function Lua_FactionLeagueFightingWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- 遮罩，倒计时完去除
	self.blackBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_black_50", 0, 0, 1280, 720);
	self.blackBg.name = "blackBg";
	self.blackBg.alpha = 0.5;
	self.blackBg:setDepth(20);
	self.blackBg:setEnable(false);

	self.leftInfoPanel = Lua_FactionLeagueActLeftInfoPanel.new(self.content);
	self.leftInfoPanel:setLocation(-MainWinDefine.V_width / 2 + 640, 0);
	
	self.fightInfoPanel = Lua_FactionLeagueActFightInfoPanel.new(self.content);
	self.fightInfoPanel:setLocation(95, 0, 0);

	-- self:onUpdateFightInfo();
	self:addLuaEvent("MENU_OUT_CLICK", self, self.onExitActScene);
	self:addLuaEvent("rFactionLeagueActFightSceneInfo", self, self.onUpdateFightInfo);
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sFactionLeagueActFightSceneInfo();
end

function Lua_FactionLeagueFightingWindow:onExitActScene()
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.getValue(123941), type = 1, subFun = self.onOutClick});
end

function Lua_FactionLeagueFightingWindow:onOutClick(val)
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sExitScene();
end

function Lua_FactionLeagueFightingWindow:onUpdateFightInfo()
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:updatePanelInfo();
	end
	if self.fightInfoPanel ~= nil then
		self.fightInfoPanel:updateFightInfo();
	end

	local num = DataCenter.factionLeagueActData.fightCountDown;
	if num > 0 then
		if GlobalVar.hooking == true then
	        DataCenter.hook:stop(true);
	    end

		if self.countDownAni == nil then
			self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.countDownComplete);
			self.countDownAni:setDepth(10);
		end
		self.countDownAni:playCountDown(num, 1);
	else
		self:countDownComplete();
	end
end

function Lua_FactionLeagueFightingWindow:countDownComplete()
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:startFightingTime();
	end
	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end
	self.blackBg:setEnable(false);
	
	-- 清除阻挡墙
	if self.bClearWaves ~= true then
		self.bClearWaves = true;
		local arr = DataCenter.factionLeagueActUtil.clearWavesArr;
		if arr ~= nil then
			local len = arr:getSize();
			for i = 1, len do
				MsgUtil.callFunc("ADD_CLEAR_WALL", arr[i]);
			end
		end
	end
end

function Lua_FactionLeagueFightingWindow:dispose()
	if self.blackBg ~= nil then
		self.blackBg:dispose();
		self.blackBg = nil;
	end
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:dispose();
		self.leftInfoPanel = nil;
	end
	if self.fightInfoPanel ~= nil then
		self.fightInfoPanel:dispose();
		self.fightInfoPanel = nil;
	end

	self:superCall("dispose");
end