-- 终结奖励
Lua_FactionLeagueActEndWindow = class("Lua_FactionLeagueActEndWindow", Lua_ThirdSizeWindow);
function Lua_FactionLeagueActEndWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(123926));

	self.windowName = "Lua_FactionLeagueActEndWindow";
	self.skinName = "FactionLeagueActEndWindow_skin";
	self.w = 600;
	self.h = 460;
	self.isClickClose = true;
end

function Lua_FactionLeagueActEndWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.txt1.text = LanUtil.getValue(123953);
	self.txt2.text = LanUtil.getValue(123954);
	self.descTxt1.text = LanUtil.getValue(123927);
	self.descTxt2.text = LanUtil.getValue(123928);
	self.endTxt.text = LanUtil.formateStr(LanUtil.getValue(123955), LanUtil.getValue(123956));

	self.buffItem = Lua_RewardItem.new(self.content);
	self.buffItem:setMaxShow(3);
	self.buffItem:setDepth(10);
	self.buffItem:setClickWin(true);
	self.buffItem:setMouseEnble(true);
	self.buffItem:setItemScale(0.8, 0.8);
	self.buffItem:setLocation(-75, 115, 0);

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setMaxShow(2);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(0.8, 0.8);
	self.rItem:setLocation(-75, -35, 0);

	self.assignBtn.label = LanUtil.getValue(123959);
	self.assignBtn:setGray(true);
	self.assignBtn:addClickFuntion(self, self.onBtnClick);

	self:updateRewards();

	self:addLuaEvent("rFactionLeagueActEndInfo", self, self.onUpdatePanelInfo);
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sFactionLeagueActEndInfo();
end

function Lua_FactionLeagueActEndWindow:onBtnClick(go)
	local str = DataCenter.factionLeagueActData.endKillName;
	if str == nil or str == "" then
		OperateAlert.show(LanUtil.getValue(123970));
		return;
	end
	
	if DataCenter.factionLeagueActData.worshipPalaceRight ~= 1 then
		OperateAlert.show(LanUtil.getValue(123957));
		return;
	end

	if DataCenter.factionLeagueActData.endAllocationFlag ~= 0 then
		OperateAlert.show(LanUtil.getValue(123958));
		return;
	end
	-- 分配
	Lua_WindowUtil.openWin("Lua_FactionLeagueActAllocationWindow", WinParam.ACTION_AUTO, Lua_FactionLeagueActUtil.TYPE_END);
end

function Lua_FactionLeagueActEndWindow:updateRewards()
	local vo = DataCenter.factionLeagueActUtil:getActEndVoByNum(DataCenter.factionLeagueActData.worshipPalaceReunion);
	if vo ~= nil then
		self.rItem:setRewardByToolVoList(vo.endRewardsArr);
		self.buffItem:setRewardByToolVoList(vo.buffItemVoArr);
	end
end

function Lua_FactionLeagueActEndWindow:onUpdatePanelInfo()
	local str = DataCenter.factionLeagueActData.endKillName;
	if str == nil or str == "" then
		self.endTxt.text = LanUtil.formateStr(LanUtil.getValue(123955), LanUtil.getValue(123956));
		self.assignBtn:setGray(true);
		self.assignBtn.label = LanUtil.getValue(123959);
	else
		self.endTxt.text = LanUtil.formateStr(LanUtil.getValue(123955), str);
		if DataCenter.factionLeagueActData.endAllocationFlag == 0 then
			self.assignBtn.label = LanUtil.getValue(123959);
			self.assignBtn:setGray(DataCenter.factionLeagueActData.worshipPalaceRight ~= 1);
		else
			self.assignBtn.label = LanUtil.getValue(123960);
			self.assignBtn:setGray(true);
		end
	end
end

function Lua_FactionLeagueActEndWindow:dispose()
	if  self.buffItem ~= nil then
		self.buffItem:dispose();
		self.buffItem = nil;
	end
	if  self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self:superCall("dispose");
end