-- 蝉联奖励界面
Lua_FactionLeagueActReunionWindow = class("Lua_FactionLeagueActReunionWindow", Lua_ThirdSizeWindow)
function Lua_FactionLeagueActReunionWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(123922));

	self.windowName = "Lua_FactionLeagueActReunionWindow";
	self.skinName = "FactionLeagueActReunionWindow_skin";
	self.w = 912;
	self.h = 488;
	self.isClickClose = true;
end

function Lua_FactionLeagueActReunionWindow:buildShowItem()
	self:superCall("buildShowItem");

	local roleInfo = DataCenter.factionLeagueActData.worshipPalaceLeader;
	if roleInfo ~= nil and roleInfo.role_name ~= nil and roleInfo.role_name ~= "" then
		self.txt.text = LanUtil.formateStr(LanUtil.getValue(123924), tostring(DataCenter.factionLeagueActData.worshipPalaceReunion));
	else
		self.txt.text = LanUtil.formateStr(LanUtil.getValue(123924), "0");
	end	

	self.rewardsList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 345));
	self.rewardsList:setLocation(0, -5, 0);
	self.rewardsList:setListCell(Lua_FactionLeagueActReunionItem, 102, 878, 1);
	self.rewardsList:setLuaArrayData(DataCenter.factionLeagueActUtil:getActReunionRewards(), false);

	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sFactionLeagueActReunionInfo();
	self:addLuaEvent("rFactionLeagueActReunionInfo", self, self.onUpdatePanelInfo);
end

function Lua_FactionLeagueActReunionWindow:onUpdatePanelInfo()
	if self.rewardsList ~= nil then
		local list = self.rewardsList.showList;
		local len = list:getSize();
		for i = 1, len do
			list[i]:updateData();
		end
	end
end

function Lua_FactionLeagueActReunionWindow:dispose()
	if self.rewardsList ~= nil then
		self.rewardsList:dispose()
		self.rewardsList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_FactionLeagueActReunionItem = class("Lua_FactionLeagueActReunionItem", Lua_ListCell);
function Lua_FactionLeagueActReunionItem:ctor(p)
    self:superCall("ctor", p, "FactionLeagueActReunionItem_skin");
end

function Lua_FactionLeagueActReunionItem:buildShowItem()
    self:superCall("buildShowItem");

    self.btn:setEnable(false);
	self.signSpr:SetActive(false);

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setMaxShow(4);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(0.8, 0.8);
	self.rItem:setLocation(-108, 5, 0);

    self.btn:addClickFuntion(self, self.onAllocationClick);
end

function Lua_FactionLeagueActReunionItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self:updateData();
end

function Lua_FactionLeagueActReunionItem:updateData()
	self.rItem:setRewardByToolVoList(self._data.vo.reunionRewardsArr);
	self.txt.text = LanUtil.formateStr(LanUtil.getValue(123923), tostring(self._data.num));

	-- 帮主才有权限分配
	if self._data.num <= DataCenter.factionLeagueActData.worshipPalaceReunion then
		if self._data.num == DataCenter.factionLeagueActData.worshipPalaceReunion and DataCenter.factionLeagueActData.reunionAllocationFlag == 0 then
			self.btn:setGray(DataCenter.factionLeagueActData.worshipPalaceRight ~= 1);
			self.btn:setEnable(true);
			self.signSpr:SetActive(false);
		else
			self.btn:setEnable(false);
			self.signSpr:SetActive(true);
		end
	else
		self.btn:setEnable(false);
		self.signSpr:SetActive(false);
	end
end

function Lua_FactionLeagueActReunionItem:onAllocationClick(go)
	if DataCenter.factionLeagueActData.worshipPalaceRight ~= 1 then
		OperateAlert.show(LanUtil.getValue(123950));
		return;
	end

	if self._data ~= nil then
		if self._data.num ~= DataCenter.factionLeagueActData.worshipPalaceReunion then
			OperateAlert.show(LanUtil.getValue(123952));
			return;
		end

		if DataCenter.factionLeagueActData.reunionAllocationFlag ~= 0 then
			OperateAlert.show(LanUtil.getValue(123951));
			return;
		end
		Lua_WindowUtil.openWin("Lua_FactionLeagueActAllocationWindow", WinParam.ACTION_AUTO, Lua_FactionLeagueActUtil.TYPE_REUNION);
	end
end

function Lua_FactionLeagueActReunionItem:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end