-- 英雄殿(膜拜殿堂)
Lua_WorshipPalaceWindow = class("Lua_WorshipPalaceWindow", Lua_SecondSizeWindow);
function Lua_WorshipPalaceWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WorshipPalaceWindow";
	self.skinName = "WorshipPalaceWindow_skin";
	self.titleText = LanUtil.getValue(123911);
end

function Lua_WorshipPalaceWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- self.roleNameTxt.text = LanUtil.getValue(123940);
	-- self.factionNameTxt.text = LanUtil.getValue(123940);
	-- self.canlianTxt.text = LanUtil.getValue(123949);
	-- self.worshipNumTxt.text = LanUtil.getValue(123949);

	self.gotoBtn.label = LanUtil.getValue(123971);
	self.helpTxt.text = LanUtil.getValue(123913);
	self.helpTxt:addClickFuntion(self, self.onHelp);
	self.helpImg:addClickFuntion(self, self.onHelp);

	-- 帮主特权
	self.leaderRewardItem = Lua_RewardItem.new(self.content);
	self.leaderRewardItem.pivot = 2;
	self.leaderRewardItem:setLayout(90, 90, 9);
	self.leaderRewardItem:setMaxShow(9);
	self.leaderRewardItem:setDepth(4);
	self.leaderRewardItem:setClickWin(true);
	self.leaderRewardItem:setMouseEnble(true);
	self.leaderRewardItem:setItemScale(0.8, 0.8);
	self.leaderRewardItem:setLocation(-396, 61, 0);
	self.leaderRewardItem:setRewardByToolVoList(DataCenter.factionLeagueActUtil:getLeagueLeaderRewardArr());

	-- 每日俸禄
	local rewardId;
	if DataCenter.factionData.myFactionInfo ~= nil then
		rewardId = DataCenter.factionLeagueActUtil:getEveryDayReward(DataCenter.factionData.myFactionInfo.leaguePos);
	else
		rewardId = DataCenter.factionLeagueActUtil:getEveryDayReward(-1);
	end

	if rewardId ~= nil then
		self.everyDayRewardItem = Lua_RewardItem.new(self.content);
		self.everyDayRewardItem.pivot = 2;
		self.everyDayRewardItem:setLayout(90, 90, 9);
		self.everyDayRewardItem:setMaxShow(9);
		self.everyDayRewardItem:setDepth(4);
		self.everyDayRewardItem:setClickWin(true);
		self.everyDayRewardItem:setMouseEnble(true);
		self.everyDayRewardItem:setItemScale(0.8, 0.8);
		self.everyDayRewardItem:setLocation(-396, -93, 0);
		self.everyDayRewardItem:setRewardByRewardList(Array(rewardId));
		self.checkBagSize = getConfig({"rewards", rewardId, "checkBagSize"});
	end
	self.worshipBtn:addClickFuntion(self, self.onWorshipBtnClick);
	self.zhongjieBtn:addClickFuntion(self, self.onZhongjieBtnClick);
	self.chanlianBtn:addClickFuntion(self, self.onChanlianBtnClick);
	self.gotoBtn:addClickFuntion(self, self.onGotoBtnClick);
	self.getRewardBtn:addClickFuntion(self, self.onGetRewardBtnClick);

	self:onUpdatePanelInfo(true);
	self:refreshRedDot();

	self:addLuaEvent("rWorshipPalaceInfo", self, self.onUpdatePanelInfo);
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.refreshRedDot);
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sWorshipPalaceInfo();
end

function Lua_WorshipPalaceWindow:refreshRedDot(o)
	self.red1:setEnable(DataCenter.redDotData:getRedDotStateByEventId(10508));
	self.red2:setEnable(DataCenter.redDotData:getRedDotStateByEventId(10509));
	self.red3:setEnable(DataCenter.redDotData:getRedDotStateByEventId(10507));
	self.red4:setEnable(DataCenter.redDotData:getRedDotStateByEventId(10521));
end

function Lua_WorshipPalaceWindow:onHelp(go)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(123914));
end

function Lua_WorshipPalaceWindow:onZhongjieBtnClick(go)
	Lua_WindowUtil.openWin("Lua_FactionLeagueActEndWindow", WinParam.ACTION_AUTO, nil);
end

function Lua_WorshipPalaceWindow:onChanlianBtnClick(go)
	Lua_WindowUtil.openWin("Lua_FactionLeagueActReunionWindow", WinParam.ACTION_AUTO, nil);
end

function Lua_WorshipPalaceWindow:onWorshipBtnClick(go)
	local roleInfo = DataCenter.factionLeagueActData.worshipPalaceLeader;
	if roleInfo ~= nil and roleInfo.role_name ~= nil and roleInfo.role_name ~= "" then
		if DataCenter.factionLeagueActData.worshipPalaceWorship == 0 then -- 可膜拜
			Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sWorshipPalaceWorship();
		else
			OperateAlert.show(LanUtil.getValue(123937));
		end
	else
		OperateAlert.show(LanUtil.getValue(123948));
	end
end

function Lua_WorshipPalaceWindow:onGetRewardBtnClick(go)
	local str = DataCenter.factionLeagueActData.worshipPalaceLeagueName;
	if str ~= nil and str == DataCenter.roleData.leagueName then -- 有权限
		if DataCenter.factionLeagueActData.worshipPalaceSalary == 1 then -- 可领取
			-- 判断背包
			if self.checkBagSize ~= nil then
				local bagData = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK);
				if bagData:getLeftSize() < self.checkBagSize then
					DataCenter.packData:showFullBagTip(Lua_PackData.BAG_PACK);
					return LanUtil.getValue(123112);
				end
			end
			Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sWorshipPalaceGetReward();
		else
			OperateAlert.show(LanUtil.getValue(123939));
		end
	else
		OperateAlert.show(LanUtil.getValue(123938));
	end
end

function Lua_WorshipPalaceWindow:onGotoBtnClick(go)
	Lua_WindowUtil.openWin("Lua_FactionLeagueActWindow", WinParam.ACTION_OPEN, nil);
	Lua_WindowUtil.openWin("Lua_WorshipPalaceWindow", WinParam.ACTION_CLOSE, nil);
end

function Lua_WorshipPalaceWindow:onUpdatePanelInfo(unShowModel)
	local roleInfo = DataCenter.factionLeagueActData.worshipPalaceLeader;
	if self.playerModel == nil and (unShowModel == nil or unShowModel == false) then
		self:updateRoleModel(roleInfo);
	end

	if roleInfo ~= nil and roleInfo.role_name ~= nil and roleInfo.role_name ~= "" then -- and tonumber(tostring(roleInfo.role_id)) > 0 then
		self.roleNameTxt.text = roleInfo.role_name;
		self.factionNameTxt.text = DataCenter.factionLeagueActData.worshipPalaceLeagueName;
		self.emptySpr:SetActive(false);

		if DataCenter.factionLeagueActData.worshipPalaceReunion > 0 then
			self.canlianTxt.text = LanUtil.formateStr(LanUtil.getValue(123912), tostring(DataCenter.factionLeagueActData.worshipPalaceReunion));
		else
			self.canlianTxt.text = LanUtil.getValue(123949);
		end

		if DataCenter.factionLeagueActData.worshipPalaceTimes > 0 then
			self.worshipNumTxt.text = tostring(DataCenter.factionLeagueActData.worshipPalaceTimes);
		else
			self.worshipNumTxt.text = LanUtil.getValue(123949);
		end

		-- 可领取俸禄
		self.getRewardBtn:setGray(DataCenter.factionLeagueActData.worshipPalaceSalary ~= 1);
		if DataCenter.factionLeagueActData.worshipPalaceWorship == 0 then -- 可膜拜
			self.worshipBtn.label = LanUtil.getValue(123935);
			self.worshipBtn:setGray(false);
		else
			self.worshipBtn.label = LanUtil.getValue(123936);
			self.worshipBtn:setGray(true);
		end
	else
        self.roleNameTxt.text = LanUtil.getValue(123940);
        self.factionNameTxt.text = LanUtil.getValue(123940);
        self.emptySpr:SetActive(true);
        self.canlianTxt.text = LanUtil.getValue(123949);
        self.worshipNumTxt.text = LanUtil.getValue(123949);
        self.getRewardBtn:setGray(true);
        self.worshipBtn.label = LanUtil.getValue(123935);
        self.worshipBtn:setGray(true);
    end 
end

function Lua_WorshipPalaceWindow:updateRoleModel(roleInfo)
	if roleInfo ~= nil and roleInfo.role_name ~= nil and roleInfo.role_name ~= "" then -- tonumber(tostring(roleInfo.role_id)) > 0 then
		if self.playerModel == nil then
			self.playerModel = ModelPlayer();
		end

		-- 角色
		local modelData = UsData();
		modelData.roleId = roleInfo.role_id; -- 
		modelData.nickname = roleInfo.role_name; -- 
		modelData.gender = roleInfo.role_sex; -- 性别
		modelData.weapon_id = roleInfo.weapon; -- 武器
		modelData.clothes_id = roleInfo.clothes; -- 衣服
		modelData.fashion_weapon_id = roleInfo.fashion_weapon; -- 
		modelData.fashion_clothes_id = roleInfo.fashion_clothes; -- 
		modelData.fashionHeadId = roleInfo.fashion_headdress; -- 
		modelData.lvl = roleInfo.role_level; -- 等级
		modelData.career = roleInfo.role_career; -- 职业
		modelData.wingId = roleInfo.role_wing; -- 仙羽等级
		modelData.profession = roleInfo.profession; -- 当前转职次数
		modelData.showShadow = false;
		modelData.canBeClick = false;
		modelData.isShowName = false;
		modelData.IsUI = true;
		modelData.hp = 1;
		modelData.kind = 1;

		self.playerModel:init(self.content, Vector3(0, -140, 0), Vector3(0, 90, 0), modelData, nil, 200);
		self.playerModel:setRotEnable(true, 0, 156, 545, 340, 2);
		self.playerModel:SetRenderQueue(self.bg, 1, 2);
		self.playerModel:setGray(false);
		self.playerModel:setActive(true);
	else
		if self.playerModel ~= nil then
			self.playerModel:setActive(false);
		end
	end
end

function Lua_WorshipPalaceWindow:dispose()
	if self.leaderRewardItem ~= nil then
		self.leaderRewardItem:dispose();
		self.leaderRewardItem = nil;
	end
	if self.everyDayRewardItem ~= nil then
		self.everyDayRewardItem:dispose();
		self.everyDayRewardItem = nil;
	end
	if self.playerModel ~= nil then
		self.playerModel:dispose();
		self.playerModel = nil;
	end

	self:superCall("dispose");
end